aboutsummaryrefslogtreecommitdiff
path: root/testsuite/uncompress.tests
diff options
context:
space:
mode:
authorDenys Vlasenko <vda.linux@googlemail.com>2011-08-18 14:29:41 +0200
committerDenys Vlasenko <vda.linux@googlemail.com>2011-08-18 14:29:41 +0200
commit251fc70e9722f931eec23a34030d05ba5f747b0e (patch)
treef35f23afd72b5d527f6c011745981c9bdd9ec3a6 /testsuite/uncompress.tests
parentb1611d9a4693f1dc8296ef44f7e0f6044032ce15 (diff)
downloadbusybox-251fc70e9722f931eec23a34030d05ba5f747b0e.tar.gz
uncompress: fix buffer underrun by corrupted input
Signed-off-by: Denys Vlasenko <vda.linux@googlemail.com>
Diffstat (limited to 'testsuite/uncompress.tests')
-rwxr-xr-xtestsuite/uncompress.tests20
1 files changed, 20 insertions, 0 deletions
diff --git a/testsuite/uncompress.tests b/testsuite/uncompress.tests
new file mode 100755
index 000000000..51a233493
--- /dev/null
+++ b/testsuite/uncompress.tests
@@ -0,0 +1,20 @@
+#!/bin/sh
+# Copyright 2011 by Denys Vlasenko
+# Licensed under GPLv2, see file LICENSE in this source tree.
+
+. ./testing.sh
+
+# testing "test name" "commands" "expected result" "file input" "stdin"
+
+testing "uncompress < \x1f\x9d\x90 \x01 x N" \
+'uncompress 2>&1 1>/dev/null; echo $?' \
+"\
+uncompress: corrupted data
+1
+" \
+"" "\
+\x1f\x9d\x90\
+\01\01\01\01\01\01\01\01\01\01\01\01\01\01\01\01\01\01\01\01\01\01\01\01\01\01\01\01\01\01\01\01\
+"
+
+exit $FAILCOUNT